import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { UCapUiAccountModule } from '@ucap-webmessenger/ui-account';

import { AppAccountRoutingPageModule } from './account-routing.page.module';

import { COMPONENTS } from './components';

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,
    UCapUiAccountModule,
    AppAccountRoutingPageModule
  ],
  declarations: [...COMPONENTS],
  entryComponents: []
})
export class AppAccountPageModule {}
