export enum DeptType {
  // R: 기관Root
  Root = 'R',
  // D: 본부
  Department = 'D',
  // T: 부서
  Team = 'T'
}

export enum DeptSearchType {
  // A: 부서, 인원
  All = 'A',
  // U: 인원
  User = 'U',
  // D: 부서
  Department = 'D',
  // M: 다중부서 cf) 여러 부서(하위전체)를 쿼리할 때 1, 2, 3, 4..이렇게 부서SEQ들을, 로 연결해서 보냄 (검색string 필드를 사용함)
  MultiDepartment = 'M'
}
