import { createAction, props } from '@ngrx/store';

import { AuthRequest, AuthResponse } from '@ucap-webmessenger/protocol-query';

export const auth = createAction('[Setting::Query] Auth', props<AuthRequest>());

export const authSuccess = createAction(
  '[Setting::Query] Auth Success',
  props<{ res: AuthResponse }>()
);

export const authFailure = createAction(
  '[Setting::Query] Auth Failure',
  props<{ error: any }>()
);
