import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';

import { MatExpansionModule } from '@angular/material/expansion';

import { ExpansionPanelComponent } from './components/expansion-panel.component';

const COMPONENTS = [ExpansionPanelComponent];
const SERVICES = [];

@NgModule({
  imports: [CommonModule, ReactiveFormsModule, MatExpansionModule],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS]
})
export class UCapUiGroupModule {
  public static forRoot(): ModuleWithProviders<UCapUiGroupModule> {
    return {
      ngModule: UCapUiGroupModule,
      providers: [...SERVICES]
    };
  }
}
